Skip to main content
GET
/
v1
/
businesses
/
{business_id}
/
reports
/
profit-and-loss
curl -X GET 'https://sandbox.layerfi.com/v1/businesses/d2f6d97f-3345-4299-9ec2-468738c5d536/reports/profit-and-loss?start_date=2023-01-01T00:00:00-06:00&end_date=2023-12-01T00:00:00-06:00' \
  -H 'Authorization: Bearer <access_token>'
{
  "data": {
      "type": "Profit_And_Loss",
      "business_id": "d2f6d97f-3345-4299-9ec2-468738c5d536",
      "start_date": "2023-01-01T06:00:00Z",
      "end_date": "2023-12-01T06:00:00Z",
      "income": {
          "name": "REVENUE",
          "display_name": "Revenue",
          "value": 49397,
          "line_items": [
              {
                  "name": "SERVICES_REVENUE",
                  "display_name": "Service Revenue",
                  "value": 46897,
                  "line_items": null
              },
              {
                  "name": "GOODS_REVENUE",
                  "display_name": "Sale of Goods Revenue",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "DISCOUNTS",
                  "display_name": "Discounts & Refunds",
                  "value": 2500,
                  "line_items": null
              }
          ]
      },
      "cost_of_goods_sold": {
          "name": "COGS",
          "display_name": "Cost of Goods Sold",
          "value": 8026,
          "line_items": [
              {
                  "name": "JOB_SUPPLIES",
                  "display_name": "Job supplies",
                  "value": 8026,
                  "line_items": null
              }
          ]
      },
      "gross_profit": 41371,
      "expenses": {
          "name": "OPERATING_EXPENSES",
          "display_name": "Operating Expenses",
          "value": 0,
          "line_items": [
              {
                  "name": "INSURANCE",
                  "display_name": "Insurance",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "RENT_EXPENSE",
                  "display_name": "Rent",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "UTILITIES",
                  "display_name": "Utilities",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "EQUIPMENT",
                  "display_name": "Equipment & Tools",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "ADVERTISING",
                  "display_name": "Advertising",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "VEHICLE_EXPENSES",
                  "display_name": "Vehicle Expenses",
                  "value": 0,
                  "line_items": null
              }
          ]
      },
      "profit_before_taxes": 41371,
      "taxes": {
          "name": "TAXES",
          "display_name": "Taxes",
          "value": 0,
          "line_items": null
      },
      "net_profit": 41371,
      "other_outflows": null,
      "personal_expenses": null,
      "fully_categorized": true
  }
}
business_id
string
required
ID of the Business to generate a Profit and Loss report for.
start_date
ISO8601 timestamp
The start date for the Profit and Loss report in ISO-8601 format. Either start_date and end_date or year and month must be provided.
end_date
ISO8601 timestamp
The end date for the Profit and Loss report in ISO-8601 format. Either start_date and end_date or year and month must be provided.
year
integer
The year for the Profit and Loss report. Either start_date and end_date or year and month must be provided.
month
integer
The month for the Profit and Loss report. Either start_date and end_date or year and month must be provided.
reporting_basis
string
The reporting basis for the report (e.g., “CASH” or “ACCRUAL”).
tag_key
string
Filter the report by specific tags. If tag_key is provided, tag_values must also be provided.
tag_values
string
Filter the report by specific tags. Multiple values can be specified, separated by commas. If tag_values is provided, tag_key must also be provided.
exclude_uncategorized_transactions_with_suggested_transfer_matches
boolean
default:"true"
When set to true (default), uncategorized transactions that have a suggested transfer match are excluded from the uncategorized inflows and outflows totals. Set to false to include those transactions in the uncategorized totals.This is excluded by default so that we don’t unnecessarily bloat your revenue and expenses.

Response

Returns the generated Profit and Loss report.
curl -X GET 'https://sandbox.layerfi.com/v1/businesses/d2f6d97f-3345-4299-9ec2-468738c5d536/reports/profit-and-loss?start_date=2023-01-01T00:00:00-06:00&end_date=2023-12-01T00:00:00-06:00' \
  -H 'Authorization: Bearer <access_token>'
{
  "data": {
      "type": "Profit_And_Loss",
      "business_id": "d2f6d97f-3345-4299-9ec2-468738c5d536",
      "start_date": "2023-01-01T06:00:00Z",
      "end_date": "2023-12-01T06:00:00Z",
      "income": {
          "name": "REVENUE",
          "display_name": "Revenue",
          "value": 49397,
          "line_items": [
              {
                  "name": "SERVICES_REVENUE",
                  "display_name": "Service Revenue",
                  "value": 46897,
                  "line_items": null
              },
              {
                  "name": "GOODS_REVENUE",
                  "display_name": "Sale of Goods Revenue",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "DISCOUNTS",
                  "display_name": "Discounts & Refunds",
                  "value": 2500,
                  "line_items": null
              }
          ]
      },
      "cost_of_goods_sold": {
          "name": "COGS",
          "display_name": "Cost of Goods Sold",
          "value": 8026,
          "line_items": [
              {
                  "name": "JOB_SUPPLIES",
                  "display_name": "Job supplies",
                  "value": 8026,
                  "line_items": null
              }
          ]
      },
      "gross_profit": 41371,
      "expenses": {
          "name": "OPERATING_EXPENSES",
          "display_name": "Operating Expenses",
          "value": 0,
          "line_items": [
              {
                  "name": "INSURANCE",
                  "display_name": "Insurance",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "RENT_EXPENSE",
                  "display_name": "Rent",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "UTILITIES",
                  "display_name": "Utilities",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "EQUIPMENT",
                  "display_name": "Equipment & Tools",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "ADVERTISING",
                  "display_name": "Advertising",
                  "value": 0,
                  "line_items": null
              },
              {
                  "name": "VEHICLE_EXPENSES",
                  "display_name": "Vehicle Expenses",
                  "value": 0,
                  "line_items": null
              }
          ]
      },
      "profit_before_taxes": 41371,
      "taxes": {
          "name": "TAXES",
          "display_name": "Taxes",
          "value": 0,
          "line_items": null
      },
      "net_profit": 41371,
      "other_outflows": null,
      "personal_expenses": null,
      "fully_categorized": true
  }
}